﻿@model IEnumerable<Category>


@foreach (Category item in Model)
{
    <li class="menu-item">
        <a asp-controller="ShopLeftSidebar" asp-action="Index" asp-route-id="@item.Id">@item.Name <i class="fal fa-chevron-right"></i></a>
        <ul class="sub-menu flex-wrap">
            <li>
                
                <ul class="submenu-item ">
                    @if (item.Children.Count > 0)
                    {
                        @foreach (Category child in Model.Where(c => c.IsDeleted == false))
                        {
                            <li><a asp-controller="ShopLeftSidebar" asp-action="Index" asp-route-id="@child.Id">@child.Name</a></li>
                        }
                    }
                       
                    </ul>
            </li>
          
        </ul> <!-- sub menu -->
    </li>
}
